require_relative '../lib/git_heat/git_stat'

class FakeGitClient
  def initialize(stat_history)
    @stat_history = stat_history
  end

  def stat_history
    @stat_history
  end
end
describe "GitStat" do
  it "works" do
    git_out = <<HERED
commit: 7c54c33bdd16606118d4c6faa41098ff85635439 Sat Apr 19 15:19:17 2014 -0700
1 0 file

commit: c90192a6a40eee00319aa7e9b14fba84816a1697 Sat Apr 19 15:20:36 2014 -0700
2 0 file
3 0 file2

commit: 9bd48ee99f700dd2e42db330b9fc50939fc11634 Sat Apr 19 15:31:01 2014 -0700
2 2 file2
HERED
    st = GitStat.new(FakeGitClient.new(git_out))
    st.stats.should == [
      {
        commit: "7c54c33bdd16606118d4c6faa41098ff85635439",
        time: Time.parse("2014-04-19 15:19:17 -0700"),
        affected_files: [
          {file: 'file', insertions: 1, deletions: 0}
        ]
      },
      {
        commit: "c90192a6a40eee00319aa7e9b14fba84816a1697",
        time: Time.parse("2014-04-19 15:20:36 -0700"),
        affected_files: [
          {file: 'file', insertions: 2, deletions: 0},
          {file: 'file2', insertions: 3, deletions: 0}
        ]
      },
      {
        commit: "9bd48ee99f700dd2e42db330b9fc50939fc11634",
        time: Time.parse("2014-04-19 15:31:01 -0700"),
        affected_files: [
          {file: 'file2', insertions: 2, deletions: 2}
        ]
      },
    ]
  end
end
